#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Name:           kuserfeedback
Version: 6.14.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 6 Tier 1 for collecting user feedback for applications via telemetry and surveys
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://kde.org/products/frameworks/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

## upstream patches
#

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6ToolsTools)

BuildRequires:  bison
BuildRequires:  flex

%description
KDE Frameworks 6 Tier 1 for collecting user feedback for applications via telemetry
and surveys.

%files -f userfeedbackconsole6_qt.lang -f userfeedbackprovider6_qt.lang
%{_kf6_categoriesdir}/org_kde_UserFeedback.categories
%{_kf6_bindir}/UserFeedbackConsole
%{_kf6_bindir}/userfeedbackctl
%{_kf6_qmldir}/org/kde/userfeedback/
%{_kf6_applicationsdir}/org.kde.kuserfeedback-console.desktop
%{_kf6_datadir}/KDE/UserFeedbackConsole/
%{_kf6_metainfodir}/org.kde.kuserfeedback-console.appdata.xml

#---------------------------------------------

%define kuserfeedbackcore_major 6
%define libkuserfeedbackcore    %mklibname kf6userfeedbackcore %{kuserfeedbackcore_major}

%package -n     %{libkuserfeedbackcore}
Summary:        KF6 User Feedback Core library
Group:          System/Libraries

%description -n %{libkuserfeedbackcore}
KF6 User Feedback Core library.

%files -n %{libkuserfeedbackcore}
%{_kf6_libdir}/libKF6UserFeedbackCore.so.%{kuserfeedbackcore_major}
%{_kf6_libdir}/libKF6UserFeedbackCore.so.%{version}

#---------------------------------------------

%define kuserfeedbackwidgets_major 6
%define libkuserfeedbackwidgets %mklibname kf6userfeedbackwidgets %{kuserfeedbackwidgets_major}

%package -n     %{libkuserfeedbackwidgets}
Summary:        KF6 User Feedback Widgets library
Group:          System/Libraries

%description -n %{libkuserfeedbackwidgets}
KF6 User Feedback Widgets library.

%files -n %{libkuserfeedbackwidgets}
%{_kf6_libdir}/libKF6UserFeedbackWidgets.so.%{kuserfeedbackwidgets_major}
%{_kf6_libdir}/libKF6UserFeedbackWidgets.so.%{version}

#---------------------------------------------

%define develname %mklibname kf6userfeedback -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} >= %{version}-%{release}
Requires:       %{libkuserfeedbackcore} >= %{version}-%{release}
Requires:       %{libkuserfeedbackwidgets} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%files -n %{develname}
%{_kf6_includedir}/KUserFeedbackCore/
%{_kf6_includedir}/KUserFeedbackWidgets/
%{_kf6_includedir}/KUserFeedback/
%{_kf6_libdir}/libKF6UserFeedbackCore.so
%{_kf6_libdir}/libKF6UserFeedbackWidgets.so
%{_kf6_libdir}/cmake/KF6UserFeedback/
%{_kf6_mkspecsdir}/qt_KF6UserFeedbackCore.pri
%{_kf6_mkspecsdir}/qt_KF6UserFeedbackWidgets.pri

#---------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DBUILD_WITH_QT6:BOOL=ON \
           -DENABLE_CONSOLE:BOOL=ON
%cmake_build

%install
%cmake_install

%find_lang_kf6 userfeedbackconsole6_qt
%find_lang_kf6 userfeedbackprovider6_qt


%changelog
* Mon May 12 2025 daviddavid <daviddavid> 6.14.0-1.mga10
+ Revision: 2182692
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175152
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164158
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136425
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126610
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113112
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104793
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095953
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084403
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070566
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063425
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056860
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044954
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037514
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029607
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025843
- New version 5.247.0
- New version 5.246.0

* Mon Nov 13 2023 daviddavid <daviddavid> 5.245.0-1.mga10
+ Revision: 2006579
- SILENGT: fix build
+ neoclust <neoclust>
- New version 5.245.0

* Sat Nov 04 2023 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2003923
- new version: 1.3.0

* Thu Sep 01 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1883314
- new 1.2.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1844324
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1658818
- Rebuild for new Qt5

* Thu Feb 20 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1546965
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1487369
- initial package kuserfeedback

